[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#624218: marked as done (apt: No option to completely disable TranslationIndex downloads)



Your message dated Fri, 14 Oct 2011 11:32:19 +0000
with message-id <E1REfzv-0001U8-JH@franck.debian.org>
and subject line Bug#624218: fixed in apt 0.8.15.9
has caused the Debian Bug report #624218,
regarding apt: No option to completely disable TranslationIndex downloads
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
624218: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=624218
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: apt
Version: 0.8.13.1
Severity: normal

I have explicitly set:

Acquire::Languages:: "none";

However APT still attempts to download TranslationIndex files.

Looking at the code in debReleaseIndex::ComputeIndexTargets(), there
does not seem to be any way to turn this off.

Suppressing translation downloads completely is useful when you are
on the end of a high latency link where every round trip time is
noticable, or when you are in a buildd-like chroot where humans will not
be interacting with the chroot's package information at all.



--- End Message ---
--- Begin Message ---
Source: apt
Source-Version: 0.8.15.9

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.8.15.9_all.deb
  to main/a/apt/apt-doc_0.8.15.9_all.deb
apt-transport-https_0.8.15.9_amd64.deb
  to main/a/apt/apt-transport-https_0.8.15.9_amd64.deb
apt-utils_0.8.15.9_amd64.deb
  to main/a/apt/apt-utils_0.8.15.9_amd64.deb
apt_0.8.15.9.dsc
  to main/a/apt/apt_0.8.15.9.dsc
apt_0.8.15.9.tar.gz
  to main/a/apt/apt_0.8.15.9.tar.gz
apt_0.8.15.9_amd64.deb
  to main/a/apt/apt_0.8.15.9_amd64.deb
libapt-pkg-dev_0.8.15.9_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.8.15.9_amd64.deb
libapt-pkg-doc_0.8.15.9_all.deb
  to main/a/apt/libapt-pkg-doc_0.8.15.9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624218@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Oct 2011 12:00:09 +0200
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.8.15.9
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 624218 640590 641490 643787 644104 644166
Changes: 
 apt (0.8.15.9) unstable; urgency=low
 .
   [ David Kalnischkies ]
   * Symbol file update
   * doc/apt-get.8.xml:
     - change wording of autoremove description as suggested
       by Robert Simmons, thanks! (Closes: #641490)
   * apt-pkg/deb/dpkgpm.cc:
     - use std::vector instead of fixed size arrays to store args and
       multiarch-packagename strings
     - load the dpkg base arguments only one time and reuse them later
   * cmdline/apt-get.cc:
     - follow Provides in the evaluation of saving candidates, too, for
       statisfying garbage package dependencies (Closes: #640590)
   * apt-pkg/algorithms.cc:
     - if a package is garbage, don't try to save it with FixByInstall
   * apt-pkg/init.cc:
     - silently ignore *.orig and *.save files by default
   * apt-pkg/policy.cc:
     - accept generic release pin expressions again in -t (Closes: #644166)
   * apt-pkg/deb/debmetaindex.cc:
     - none is a separator, not a language: no need for Index (Closes: #624218)
   * apt-pkg/aptconfiguration.cc:
     - do not builtin languages only if none is forced (Closes: #643787)
   * doc/apt.conf.5.xml:
     - apply spelling fix by Kevin Lyda, thanks! (Closes: #644104)
 .
   [ Christian Perrier ]
   * Fix spelling error (sensée) in French translation. Thanks
     to Corentin Le Gall for spotting it.
 .
   [ Colin Watson ]
   * ftparchive/cachedb.cc:
     - fix buffersize in bytes2hex
 .
   [ Michael Vogt ]
   * ftparchive/cachedb.cc:
     - make buffer fully dynamic (thanks to Colin Watson)
Checksums-Sha1: 
 fca48b3fac332453193bc82a87f5f3635079e529 1570 apt_0.8.15.9.dsc
 ba5764f96aa72c989da2b34a9261cfb432abd88a 3320165 apt_0.8.15.9.tar.gz
 de8a8a7550a20a8054ae965c7135b11bc5389cb5 241960 apt-doc_0.8.15.9_all.deb
 754034f4851035b48d6da83155b7ef56103683e5 740502 libapt-pkg-doc_0.8.15.9_all.deb
 99e99bd7e44a3244c64c715d3b0141ede141fe0f 2193598 apt_0.8.15.9_amd64.deb
 bcde270665c0509e45d08ea6966c05402296dc4b 162210 libapt-pkg-dev_0.8.15.9_amd64.deb
 2bcd4a5ded98966a8ffff48dc8d8011c650ef5a3 291544 apt-utils_0.8.15.9_amd64.deb
 3456971c8bf51315498948ee1af926e2eeda83de 92120 apt-transport-https_0.8.15.9_amd64.deb
Checksums-Sha256: 
 c226b250ba211a865500551735f6f5f87a0c8df63e4e7045156e96304e9f4394 1570 apt_0.8.15.9.dsc
 f5c09ced8d1be31e8790d11e7a4eb2cff9789b28af1c049785c6c13f4b9c1214 3320165 apt_0.8.15.9.tar.gz
 3dbe6966b1352ec1960a8dd2342f873f2195b168c83e6b368ce5a02e483ed6f0 241960 apt-doc_0.8.15.9_all.deb
 23ff2291150932b563773fb6ab3223874e899d209bbdf59fede54a8d8a371fe5 740502 libapt-pkg-doc_0.8.15.9_all.deb
 718ff8d23e635b7e472d61d5e8603439815ef3ef504b2ab5c3911f913542e8dd 2193598 apt_0.8.15.9_amd64.deb
 4fa84e4c2429215907e39cb12b1cd2adb01f30787f30f0c9ebb6c6f5fe68522c 162210 libapt-pkg-dev_0.8.15.9_amd64.deb
 72c3832ff6db919503c3806486e707ad2ec3ff0c5093d69381ce3b16e6048e6d 291544 apt-utils_0.8.15.9_amd64.deb
 25f696500f997edf5e0cb568435e46fedddc19039f5608f25e173853a35efeb1 92120 apt-transport-https_0.8.15.9_amd64.deb
Files: 
 fe15ee8f5975beb18030d6617ce3b469 1570 admin important apt_0.8.15.9.dsc
 47fe325ff15001b4fcb114c034a4f083 3320165 admin important apt_0.8.15.9.tar.gz
 c74d8f7fe56319e1d7a2ac94a03ac2a1 241960 doc optional apt-doc_0.8.15.9_all.deb
 1e3008621716f977810192b409559258 740502 doc optional libapt-pkg-doc_0.8.15.9_all.deb
 f0599c66a97979c11479999f7dd8d44f 2193598 admin important apt_0.8.15.9_amd64.deb
 767aec7cddabbae06f91225d9930d3db 162210 libdevel optional libapt-pkg-dev_0.8.15.9_amd64.deb
 92bcbbb5a39ed9d0522c514a34822050 291544 admin important apt-utils_0.8.15.9_amd64.deb
 aa1c9672b8e2ce8e6516c17022699520 92120 admin optional apt-transport-https_0.8.15.9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6YDzAACgkQliSD4VZixzQMowCcC75T8KDZ8+cS4gKxeqxq79RT
r2YAnRnPJANEfeGb3hecbyrJWMnKUujx
=0DJP
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: